function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	-------------------------------------------------------------------------------------------
    -- init comics
    InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
    InitChain2(screen);
    InitChain3(screen);
	game_state.chain3.final = true
    AddSheriffEyeLogic();
	
	-------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('WALKIE_TALKIE', '', 'walkie_talkie'));
    AddRandomTasks(17,
                   CreateTask('LUNCHBOX', '', 'bag'),
                   CreateTask('BASEBALL', '', 'ball'),
                   CreateTask('BOTTLE', '', 'bottle'),
                   CreateTask('BRUSH', '', 'brush'),
                   CreateTask('BUG', '', 'bug'),
                   CreateTask('CANDLEHOLDER', '', 'candlestick'),
                   CreateTask('CIGAR', '', 'cigar'),
                   CreateTask('FEATHER', '', 'feather'),
                   CreateTask('GLASSES', '', 'glasses'),
                   CreateTask('HAT', '', 'hat'),
                   CreateTask('MASK', '', 'mask'),
                   CreateTask('MOUSETRAP', '', 'mouse_trap'),
                   CreateTask('PAIR_OF_COMPASSES', '', 'pair_of_compasses'),
                   CreateTask('PEN', '', 'pen'),
                   CreateTask('PENCIL', '', 'pencil'),
                   CreateTask('PIPE', '', 'pipe'),
                   CreateTask('SCREW', '', 'screw'),
                   CreateTask('SEASHELL', '', 'seashell'),
                   CreateTask('STARFISH', '', 'starfish'),
                   CreateTask('TAMBOURINE', '', 'tambourine'),
                   CreateTask('TAPE_MEASURE', '', 'tapemeasure')
                  );
    play_field:IgnoreOnTestPoint('walkie_talkie');
                  
    -------------------------------------------------------------------------------------------
    zoom_under_table = CreateZoomZone('close_zoom_under_table',                                         
                                      '',
                                      'bg_zoom',
                                      'gauntlet_2' );
    zoom_under_table.SetVisible(false);
    zoom_under_table.SetOffsetZ(500);
                  
    -------------------------------------------------------------------------------------------
    local object_inventory_glass    = play_field:GetObject('pixel_inventory_glass');
    inventory_glass   = CreateInventory(object_inventory_glass:GetX(),
                                        object_inventory_glass:GetY(),
                                        object_inventory_glass:GetZ() + 50.,
                                        object_inventory_glass:GetName(),
                                        CreateItem('gauntlet_1_tool_visual_inventory', 'gauntlet_1_tool'),
                                        nil,
                                        CreateItem('gauntlet_2_tool_visual_inventory', 'gauntlet_2_tool'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_21_1");
										
	inventory_glass.state_changer = 'OnGlassComplete'
										
    inventory_glass.OnComplete = function()
        local time_reset_opacity = 0.3;
        local function_set_walkie_talkie = function()
            play_field:DoNotIgnoreOnTestPoint('walkie_talkie');
        end
    
        play_field:GetObject('glass_layer'):ChangeOpacity(1, 0, time_reset_opacity);
		PlaySound('21_GlassBreak')
        TimerDo(play_field:GetTimer(), time_reset_opacity, function_set_walkie_talkie);
  	end
  	
  	inventory_glass.OnShown = function()
		RegisterZoomZone(zoom_under_table, 'pixel_zoom_under_table')        
	end

    CreateTool('gauntlet_1', 'gauntlet_1_tool');
    local gauntlet_2_tool = CreateTool('gauntlet_2', 'gauntlet_2_tool');
    gauntlet_2_tool.OnSuccess = function()
	    UnregisterZoomZone(zoom_under_table);
	end
	gauntlet_2_tool.OnSet = function()
	    zoom_under_table.SetVisible(false);
	    if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end
	    play_field:GetObject('gauntlet_2'):SetVisible(true);
	end
	gauntlet_2_tool.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('pixel_zoom_under_table'):GetX(),
                                    play_field:GetObject('pixel_zoom_under_table'):GetY(),
                                    300.0);
        play_field:GetObject('gauntlet_2_tool'):SetVisible(false);
        if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end
	end
    -------------------------------------------------------------------------------------------
	pf:RegisterObjectSilhouette('bag', 'bagNS')
	pf:RegisterObjectSilhouette('ball', 'ballNS')
	pf:RegisterObjectSilhouette('bottle', 'bottleNS')
	pf:RegisterObjectSilhouette('brush', 'brushNS')
	pf:RegisterObjectSilhouette('candlestick', 'candlestickNS')
	pf:RegisterObjectSilhouette('feather', 'featherNS')
	pf:RegisterObjectSilhouette('glasses', 'glassesNS')
	pf:RegisterObjectSilhouette('hat', 'hatNS')
	pf:RegisterObjectSilhouette('mask', 'maskNS')
	pf:RegisterObjectSilhouette('pair_of_compasses', 'pair_of_compassesNS')
	pf:RegisterObjectSilhouette('pipe', 'pipeNS')
	pf:RegisterObjectSilhouette('screw', 'screwNS')
	pf:RegisterObjectSilhouette('seashell', 'seashellNS')
	pf:RegisterObjectSilhouette('tambourine', 'tambourineNS')
	pf:RegisterObjectSilhouette('tapemeasure', 'tapemeasureNS')
	game_state.meta_object = 'cigar20'
	
	game_state.OnStartingComicsComplete = function()
		inventory_glass.Unlock();
	end
	
	game_state.OnGlassComplete = function()		
        play_field:DoNotIgnoreOnTestPoint('walkie_talkie');
        play_field:GetObject('glass_layer'):SetOpacity(1)
	end
	
	game_state.CheckWinConditions = function()
		if IsNotebookClosed() and ArePanelTasksComplete() then
		    if game_state.chain2_shown then
			    game_state.chain3.Start()
			    return
			end
			game_state.chain2.Start()
		end
	end
	
	game_state.chain2_shown = false
end

function OnMinigameCompleted()
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    local comics2 = CreateComics(screen, 'Barman');
    local comics3 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics3.OnHidden = function()
		comics3.DefaultOnHidden()
		inventory_glass.Unlock();
		--RegisterZoomZone(zoom_under_table, 'pixel_zoom_under_table')
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_21_1"),
                                    comics2, GetString("COMICS_21_2"),
                                    comics3, GetString("COMICS_21_3") );
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    comics1.OnHidden = function()
        comics1.DefaultOnHidden()
        game_state.chain2_shown = true
        game_state.CheckWinConditions()
    end
    
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_21_4") );
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    local comics2 = CreateComics(screen, 'Barman');
    local comics3 = CreateComics(screen, 'Sheriff', 'eyes');
	
	comics3.OnHidden = function()
		OnWin()
	end
    
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_21_5"),
                                    comics2, GetString("COMICS_21_6"),
                                    comics3, GetString("COMICS_21_7") );
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
    game_state.chain3.Start();
end

function OnNotebookOpened()
end


function OnUpdate(dt)
end

function OnScreenShown()
    game_state.chain1.Start();
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    if not play_field:GetLevelScreen():HasTaskObjects() then
		GetProfileManager():GetCurrentProfile():AddStateChanger('CheckWinConditions')
	end
end

function OnObjectWasFound(object)
    if object:GetName() == 'walkie_talkie' then
        game_state.chain2.Start();
    end 
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/bag.png',0,0,105,81,1,0)
	anim:SetHotSpot(52,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,307,477,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/ball.png',0,0,46,46,1,0)
	anim:SetHotSpot(23,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball',anim,828,700,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/bottle.png',0,0,84,36,1,0)
	anim:SetHotSpot(42,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,563,69,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/brush.png',0,0,69,38,1,0)
	anim:SetHotSpot(34,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,981,648,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/bug.png',0,0,56,63,1,0)
	anim:SetHotSpot(28,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug',anim,272,80,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/candlestick.png',0,0,68,71,1,0)
	anim:SetHotSpot(34,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candlestick',anim,241,487,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/glasses.png',0,0,75,43,1,0)
	anim:SetHotSpot(37,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,930,424,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/hat.png',0,0,108,76,1,0)
	anim:SetHotSpot(54,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,901,616,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/mask.png',0,0,50,80,1,0)
	anim:SetHotSpot(25,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,372,42,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/mouse_trap.png',0,0,93,55,1,0)
	anim:SetHotSpot(46,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mouse_trap',anim,820,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/pair_of_compasses.png',0,0,52,67,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_compasses',anim,666,181,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/pen.png',0,0,69,49,1,0)
	anim:SetHotSpot(34,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pen',anim,443,625,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/pencil.png',0,0,18,105,1,0)
	anim:SetHotSpot(9,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pencil',anim,312,718,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/pipe.png',0,0,84,38,1,0)
	anim:SetHotSpot(42,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,436,574,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/screw.png',0,0,82,78,1,0)
	anim:SetHotSpot(41,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screw',anim,987,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/seashell.png',0,0,64,53,1,0)
	anim:SetHotSpot(32,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell',anim,244,758,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/starfish.png',0,0,58,60,1,0)
	anim:SetHotSpot(29,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish',anim,357,229,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/tambourine.png',0,0,83,78,1,0)
	anim:SetHotSpot(41,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tambourine',anim,371,126,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/tapemeasure.png',0,0,107,72,1,0)
	anim:SetHotSpot(53,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tapemeasure',anim,315,590,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/feather.png',0,0,84,50,1,0)
	anim:SetHotSpot(42,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('feather',anim,883,742,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,5,10)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_inventory_glass',anim,902,304,200,0,10,14)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/gauntlet_1.png',0,0,67,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gauntlet_1',anim,302,511,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/gauntlet_1.png',0,0,67,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gauntlet_1_tool',anim,303,511,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/gauntlet_1.png',0,0,67,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gauntlet_1_tool_visual_inventory',anim,238,548,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Zoom/bg_zoom.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_zoom',anim,512,384,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Zoom/gauntlet_2.png',0,0,165,81,1,0)
	anim:SetHotSpot(82,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gauntlet_2',anim,512,384,405,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Zoom/gauntlet_2.png',0,0,165,81,1,0)
	anim:SetHotSpot(82,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gauntlet_2_tool',anim,512,384,1,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Zoom/gauntlet_2.png',0,0,165,81,1,0)
	anim:SetHotSpot(82,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gauntlet_2_tool_visual_inventory',anim,512,384,1,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_zoom_under_table',anim,441,741,130,0,31,7)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/walkie_talkie.png',0,0,28,97,1,0)
	anim:SetHotSpot(14,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('walkie_talkie',anim,937,319,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/walkie_talkie_layer.png',0,0,30,41,1,0)
	anim:SetHotSpot(15,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('walkie_talkie_layer',anim,939,347,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/glass_layer.png',0,0,82,129,1,0)
	anim:SetHotSpot(41,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glass_layer',anim,952,309,140,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Barman.png',0,0,540,550,1,0)
	anim:SetHotSpot(270,275)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Barman',anim,759,493,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/seashell_layer.png',0,0,12,33,1,0)
	anim:SetHotSpot(6,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashell_layer',anim,221,757,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/bag_layer.png',0,0,12,58,1,0)
	anim:SetHotSpot(6,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag_layer',anim,351,472,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Layers/bug_layer.png',0,0,7,34,1,0)
	anim:SetHotSpot(3,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bug_layer',anim,275,90,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/bagNS.png',0,0,84,72,1,0)
	anim:SetHotSpot(42,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bagNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/ballNS.png',0,0,34,34,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ballNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/bottleNS.png',0,0,77,29,1,0)
	anim:SetHotSpot(38,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottleNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/brushNS.png',0,0,61,27,1,0)
	anim:SetHotSpot(30,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brushNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/candlestickNS.png',0,0,49,65,1,0)
	anim:SetHotSpot(24,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candlestickNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/featherNS.png',0,0,74,40,1,0)
	anim:SetHotSpot(37,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('featherNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/glassesNS.png',0,0,68,36,1,0)
	anim:SetHotSpot(34,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glassesNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/hatNS.png',0,0,92,62,1,0)
	anim:SetHotSpot(46,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hatNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/maskNS.png',0,0,41,74,1,0)
	anim:SetHotSpot(20,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('maskNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/pair_of_compassesNS.png',0,0,46,61,1,0)
	anim:SetHotSpot(23,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_compassesNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/pipeNS.png',0,0,80,30,1,0)
	anim:SetHotSpot(40,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipeNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/screwNS.png',0,0,67,70,1,0)
	anim:SetHotSpot(33,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/seashellNS.png',0,0,52,36,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('seashellNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/tambourineNS.png',0,0,70,69,1,0)
	anim:SetHotSpot(35,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tambourineNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/21_ distant_dinner-wagon_9/Items/NoShadow/tapemeasureNS.png',0,0,98,64,1,0)
	anim:SetHotSpot(49,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tapemeasureNS',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/20_bar_proof_9/cigar20.png',0,0,101,94,1,0)
	anim:SetHotSpot(50,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar20',anim,543,564,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
